Update a worker contact
curl --request PATCH \
--url https://api.plane.com/v1/worker-contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purpose": "<string>",
"name": {},
"relationship": "<string>",
"phones": [
{}
],
"emails": [
{}
],
"address": {},
"priority": 123,
"status": "<string>"
}
'import requests
url = "https://api.plane.com/v1/worker-contacts/{id}"
payload = {
"purpose": "<string>",
"name": {},
"relationship": "<string>",
"phones": [{}],
"emails": [{}],
"address": {},
"priority": 123,
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purpose: '<string>',
name: {},
relationship: '<string>',
phones: [{}],
emails: [{}],
address: {},
priority: 123,
status: '<string>'
})
};
fetch('https://api.plane.com/v1/worker-contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contacts
Update a worker contact
Update a worker contact.
PATCH
/
v1
/
worker-contacts
/
{id}
Update a worker contact
Parameters
string
required
ID of the worker contact to update.
string
Contact purpose. Currently
emergency.object
The contact’s name. Same shape as a worker’s name.
string
Free-text relationship to the worker.
array
Phone numbers for this contact. Phone types are
mobile, home, work, or
other.array
Email addresses for this contact. Email types are
personal, work, or
other.object
Optional mailing address for this contact.
integer
Contact priority within the purpose.
string
Contact status. One of
active or inactive.Returns
Returns the updated Worker contact object.Was this page helpful?
⌘I